### Function

# GLib uuid_string_random

since: 2.52

#### Declaration

    gchar*
    g_uuid_string_random (
      void
    )

#### Description

Generates a random UUID (RFC 4122 version 4) as a string. It has the same randomness guarantees as `GRand`, so must not be used for cryptographic purposes such as key generation, nonces, salts or one-time pads.

Available since: 2.52

#### Return value

Type: `gchar*`

A string that should be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.